## IdeTextEdit IdeTextEdit |

## Functions

IdeTextEdit * | ide_text_edit_new ()
IdeTextEdit * | ide_text_edit_new_from_variant ()
const gchar * | ide_text_edit_get_text ()
void | ide_text_edit_set_text ()
IdeRange * | ide_text_edit_get_range ()
void | ide_text_edit_set_range ()
GVariant * | ide_text_edit_to_variant ()

## Properties

IdeRange * | range | Read / Write
gchar * | text | Read / Write

## Types and Values

#define | IDE_TYPE_TEXT_EDIT
struct | IdeTextEditClass
| IdeTextEdit

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeTextEdit

## Description

## Functions

### ide_text_edit_new ()

    IdeTextEdit *
    ide_text_edit_new (IdeRange *range,
                       const gchar *text);

### ide_text_edit_new_from_variant ()

    IdeTextEdit *
    ide_text_edit_new_from_variant (GVariant *variant);

Creates a new IdeTextEdit from the variant.

If `variant` is `NULL`, `NULL` is returned.

#### Parameters

variant | a GVariant. | [nullable]

#### Returns

an IdeTextEdit or `NULL`.

[transfer full][nullable]

Since: 3.32

### ide_text_edit_get_text ()

    const gchar *
    ide_text_edit_get_text (IdeTextEdit *self);

Gets the text for the edit.

#### Parameters

self | a IdeTextEdit |

#### Returns

the text to replace, or `NULL`.

[nullable]

Since: 3.32

### ide_text_edit_set_text ()

    void
    ide_text_edit_set_text (IdeTextEdit *self,
                            const gchar *text);

### ide_text_edit_get_range ()

    IdeRange *
    ide_text_edit_get_range (IdeTextEdit *self);

Gets the range for the edit.

#### Parameters

self | a IdeTextEdit |

#### Returns

the range for the replacement, or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_text_edit_set_range ()

    void
    ide_text_edit_set_range (IdeTextEdit *self,
                             IdeRange *range);

### ide_text_edit_to_variant ()

    GVariant *
    ide_text_edit_to_variant (IdeTextEdit *self);

Creates a GVariant to represent a text_edit.

This function will never return a floating variant.

#### Parameters

self | a IdeTextEdit |

#### Returns

a GVariant.

[transfer full]

Since: 3.32

## Types and Values

### IDE_TYPE_TEXT_EDIT

    #define IDE_TYPE_TEXT_EDIT (ide_text_edit_get_type())

### struct IdeTextEditClass

    struct IdeTextEditClass {
      IdeObjectClass parent_class;
    };

### IdeTextEdit

    typedef struct _IdeTextEdit IdeTextEdit;

## Property Details

### The `“range”` property

      “range”                    IdeRange *

The range for the text edit.

Owner: IdeTextEdit

Flags: Read / Write

### The `“text”` property

      “text”                     gchar *

The text to replace.

Owner: IdeTextEdit

Flags: Read / Write

Default value: NULL